#pragma once

#include <stdbool.h>
#include <stdint.h>
#include "platform/es3sec.h"
#include "platform/netenv.h"

struct amcus_config {
    bool enable;
    wchar_t game_id[5];
    wchar_t game_cd[5];
    wchar_t am_game_ver[6];
    wchar_t cacfg_game_ver[6];
    wchar_t server_uri[257];
    wchar_t server_host[257];
    wchar_t am_serial[12];
    struct es3sec_config dongle;
    struct netenv_config netenv;
};

void amcus_config_load(struct amcus_config *cfg, const wchar_t *filename);
