#pragma once

#include <stdbool.h>
#include <stddef.h>

#include "board/usio.h"
#include "board/bpreader.h"
#include "board/qr.h"
#include "board/sg-reader.h"

void bpreader_config_load(struct bpreader_config *cfg, const wchar_t *filename);
void usio_config_load(struct usio_config *cfg, const wchar_t *filename);
void qr_config_load(struct qr_config *cfg, const wchar_t *filename);
void aime_config_load(struct aime_config *cfg, const wchar_t *filename);
