#pragma once

#include <stddef.h>

#include "exvs2hook/exvs2-dll.h"

#include "platform/config.h"
#include "gfxhook/config.h"
#include "amcus/config.h"
#include "board/config.h"

struct exvs2_hook_config {
    struct platform_config platform;
    struct exvs2_dll_config dll;
    struct gfx_config gfx;
    struct amcus_config amcus;
    struct qr_config qr;
    struct bpreader_config reader;
};

void exvs2_dll_config_load(
    struct exvs2_dll_config *cfg,
    const wchar_t *filename);

void exvs2_hook_config_load(
    struct exvs2_hook_config *cfg,
    const wchar_t *filename);

