#include <windows.h>

#include <assert.h>
#include <stddef.h>
#include <stdio.h>

#include "exvs2io/config.h"

void exvs2_io_najv4_config_load(struct exvs2_najv4_config *cfg, const wchar_t *filename) 
{    
    cfg->test = GetPrivateProfileIntW(L"najv4", L"test", VK_HOME, filename);
    cfg->service = GetPrivateProfileIntW(L"najv4", L"service", VK_DELETE, filename);
    cfg->coin = GetPrivateProfileIntW(L"najv4", L"coin", VK_INSERT, filename);
    cfg->up = GetPrivateProfileIntW(L"najv4", L"up", VK_UP, filename);
    cfg->down = GetPrivateProfileIntW(L"najv4", L"down", VK_DOWN, filename);
    cfg->left = GetPrivateProfileIntW(L"najv4", L"left", VK_LEFT, filename);
    cfg->right = GetPrivateProfileIntW(L"najv4", L"right", VK_RIGHT, filename);
    cfg->start = GetPrivateProfileIntW(L"najv4", L"start", VK_SPACE, filename);
    cfg->btn1 = GetPrivateProfileIntW(L"najv4", L"btn1", '1', filename);
    cfg->btn2 = GetPrivateProfileIntW(L"najv4", L"btn2", '2', filename);
    cfg->btn3 = GetPrivateProfileIntW(L"najv4", L"btn3", '3', filename);
    cfg->btn4 = GetPrivateProfileIntW(L"najv4", L"btn4", '4', filename);
}
