#pragma once

#include <windows.h>

#include "ferrumio/ferrumio.h"

struct ferrum_dll {
    uint16_t api_version;
    HRESULT (*jvs_init)(void);
    HRESULT (*gamepad_init)(void);
    HRESULT (*jvs_poll)(uint8_t *opbtn);
    HRESULT (*gamepad_poll)(uint16_t *gamebtn);
    void (*jvs_read_coin_counter)(uint16_t *coins);
};

struct ferrum_dll_config {
    wchar_t path[MAX_PATH];
};

extern struct ferrum_dll ferrum_dll;

HRESULT ferrum_dll_init(const struct ferrum_dll_config *cfg, HINSTANCE self);
