#pragma once

#include <stddef.h>
#include <stdint.h>

#pragma pack(push, 1)
struct taiko_input_config {
    uint8_t test;
    uint8_t service;
    uint8_t up;
    uint8_t down;
    uint8_t enter;
    uint8_t coin;

    uint8_t p1_rim_l;
    uint8_t p1_center_l;
    uint8_t p1_center_r;
    uint8_t p1_rim_r;
    uint8_t p2_rim_l;
    uint8_t p2_center_l;
    uint8_t p2_center_r;
    uint8_t p2_rim_r;
};
#pragma pack(pop)

void taiko_io_config_load(struct taiko_input_config *cfg, const wchar_t *filename);