#pragma once

#include <windows.h>

#include "exvs2io/exvs2io.h"

struct exvs2_dll {
    uint16_t api_version;
    HRESULT (*jvs_init)(void);
    HRESULT (*jvs_poll)(uint8_t *opbtn, uint16_t *gamepad);
    void (*jvs_read_coin_counter)(uint16_t *coins);
};

struct exvs2_dll_config {
    wchar_t path[MAX_PATH];
};

extern struct exvs2_dll exvs2_dll;

HRESULT exvs2_dll_init(const struct exvs2_dll_config *cfg, HINSTANCE self);
