#pragma once

#include <windows.h>

#include <stdbool.h>
#include <stdint.h>

struct netenv_config {
    bool enable;
    uint32_t subnet;
    uint8_t addr_suffix;
    uint8_t router_suffix;
    uint8_t mac_addr[6];
};

HRESULT netenv_hook_init(
        const struct netenv_config *cfg);

